/*
* @author daoket
* Date: 2018/9/27
*/
import lxButton from './button/index'
import lxRow from './row/index'
import lxInput from './input/index'
import lxCountdown from './countdown/index'
import lxCopy from './copy/index'
import lxCheckbox from './checkbox/index'
import lxMusic from './music/index'
import lxDialog from './dialog/index'

const components = [
  lxButton,
  lxRow,
  lxInput,
  lxCountdown,
  lxCopy,
  lxCheckbox,
  lxMusic,
  lxDialog,
]

const install = function(Vue) {
  if(install.installed) return
  components.map(component => Vue.component(component.name, component))
  // Vue.prototype.$message = Message
}

export default {
  install,
  lxButton,
  lxRow,
  lxInput,
  lxCountdown,
  lxCopy,
  lxCheckbox,
  lxMusic,
  lxDialog,
}
